Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
classes/admin/linkselect.php File Reference

Go to the source code of this file.

## Variables
if(!isset( $ClientIntlDir)) if(!isset( $ClientRoot)) if(isset( $Back)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( $INIGroup, "Language" )
| $Modules = $ini->read_array( $INIGroup, "ModuleList" )
| $DefaultSection = $ini->variable( $INIGroup, "DefaultSectionName" )
| $DefaultSections = $ini->read_array( $INIGroup, $DefaultSectionsName )
if(isset( $SubmitInfo)) if(isset( $DeleteLink)) | $module_link = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID )
| $sections =& $module_link->sections()
if(isset( $NewSection) or count( $sections)==0) if(!isset( $ModuleName) or !isset( $Type)) | $intl_dirs = array( $ClientIntlDir )
| $php_files = array( "linkselect.php" )
foreach( $Modules as $module) | $t
| $module = $ModuleName
| $type = $Type
| $preferences = new eZPreferences()
| $LinkType = $preferences->variable( $PreferencesSetting )

## Variable Documentation

## ◆ $DefaultSection

$DefaultSection = $ini->variable( $INIGroup, "DefaultSectionName" )

Definition at line 59 of file classes/admin/linkselect.php.

## ◆ $DefaultSections

$DefaultSections = $ini->read_array( $INIGroup, $DefaultSectionsName )

Definition at line 60 of file classes/admin/linkselect.php.

## ◆ $ini

if (!isset($ClientIntlDir)) if (!isset($ClientRoot)) if (isset($Back)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 56 of file classes/admin/linkselect.php.

## ◆ $intl_dirs

if (isset($NewSection) or count($sections)==0) if (!isset($ModuleName) or !isset($Type)) $intl_dirs = array( $ClientIntlDir )

Definition at line 168 of file classes/admin/linkselect.php.

## ◆ $Language

$Language = $ini->variable( $INIGroup, "Language" )

Definition at line 57 of file classes/admin/linkselect.php.

## ◆ $LinkType

$LinkType = $preferences->variable( $PreferencesSetting )

Definition at line 240 of file classes/admin/linkselect.php.

## ◆ $module

$module = $ModuleName

Definition at line 219 of file classes/admin/linkselect.php.

Referenced by ezpTopologicalSort\__construct(), eZLinkItem\__construct(), eZLinkSection\__construct(), eZModuleLink\__construct(), eZModuleHandler\append(), eZPermission\checkPermission(), eZLinkItem\delete(), eZLinkSection\delete(), eZBugModule\delete(), eZList\drawList(), fetchModule(), eZGroupEvent\forum(), eZImage\forum(), eZProduct\forum(), eZPermission\getAllByModule(), hasPermission(), eZModuleHandler\isOpen(), eZPermission\module(), eZLinkSection\moveDown(), eZLinkItem\moveDown(), eZModuleHandler\moveDown(), eZLinkSection\moveUp(), eZLinkItem\moveUp(), eZModuleHandler\moveUp(), eZBugModule\path(), eZModuleHandler\remove(), ezpKernelTreeMenu\run(), eZPermission\setModule(), eZModuleHandler\setOpen(), and eZModuleHandler\toggle().

## ◆ $module_link

if (isset($SubmitInfo)) if (isset($DeleteLink)) $module_link = new eZModuleLink( $ClientModuleName, $ClientModuleType, $ItemID )

Definition at line 121 of file classes/admin/linkselect.php.

## ◆ $Modules

$Modules = $ini->read_array( $INIGroup, "ModuleList" )

Definition at line 58 of file classes/admin/linkselect.php.

## ◆ $php_files

$php_files = array( "linkselect.php" )

Definition at line 169 of file classes/admin/linkselect.php.

## ◆ $preferences

$preferences = new eZPreferences()

Definition at line 239 of file classes/admin/linkselect.php.

## ◆ $sections

$sections =& $module_link->sections()

Definition at line 122 of file classes/admin/linkselect.php.

## ◆ $t

foreach ($Modules as $module) $t

Initial value:
= new eZTemplate( $ClientRoot . $ini->variable( $INIGroup, "AdminTemplateDir" ),
$intl_dirs, $Language, $php_files )
eZTemplate
Definition: eztemplate.php:107
$intl_dirs
if(isset( $NewSection) or count( $sections)==0) if(!isset( $ModuleName) or !isset( $Type)) $intl_dirs
Definition: classes/admin/linkselect.php:168
$Language
$Language
Definition: classes/admin/linkselect.php:57
$php_files
$php_files
Definition: classes/admin/linkselect.php:169
$ini
if(!isset( $ClientIntlDir)) if(!isset( $ClientRoot)) if(isset( $Back)) $ini
Definition: classes/admin/linkselect.php:56

Definition at line 181 of file classes/admin/linkselect.php.

## ◆ $type

$type = $Type

Definition at line 220 of file classes/admin/linkselect.php.

Referenced by eZXMLRPCArray\__construct(), eZModuleLink\__construct(), eZXMLRPCStruct\__construct(), eZSession\addCallback(), eZMedia\attributeString(), eZCart\cartTotals(), eZXMLRPCDataTypeDecoder\decodeArray(), eZXMLRPCDataTypeDecoder\decodeBase64(), eZXMLRPCDataTypeDecoder\decodeBoolean(), eZXMLRPCDataTypeDecoder\decodeDataTypes(), eZXMLRPCDataTypeDecoder\decodeDateTime(), eZXMLRPCDataTypeDecoder\decodeDouble(), eZXMLRPCDataTypeDecoder\decodeInt(), eZXMLRPCDataTypeDecoder\decodeString(), eZXMLRPCDataTypeDecoder\decodeStruct(), eZArticle\deleteAttributesByType(), errorPage(), eZCodeMapper\extractUnicodeValue(), eZCodeMapper\extractUnicodeValues(), eZDisplayDebug(), eZExtension\findExtensionType(), eZSysinfo\fsinfo(), eZCodeMapper\generateSimpleMappingTable(), eZCompany\get(), eZGroupEvent\getAllByType(), eZGroupEvent\getByGroupType(), eZArticleType\getByName(), eZGroupEvent\getByType(), ezpAttributeOperatorFormatter\getType(), eZDebug\isLogFileEnabled(), eZArticleSupplier\item(), eZContactSupplier\item(), eZProductSupplier\item(), ezpAttributeOperatorHTMLFormatter\line(), ezpAttributeOperatorTextFormatter\line(), eZSiteAccess\match(), eZLinkSection\moveDown(), eZLinkSection\moveUp(), ezpAutoloadCliOutput\outputCli(), eZCodeMapper\parseTransformationFile(), eZDir\path(), eZDebug\printReportInternal(), eZFormRenderer\renderElement(), ezpMvcConfiguration\runCustomFilters(), eZArticle\search(), eZDir\separator(), eZXMLRPCArray\serializeArray(), eZXMLRPCStruct\serializeStruct(), eZProduct\setBoxType(), eZGroupEvent\setFinishDateNot(), eZDebug\setHandleType(), eZDebug\setIsLogFileEnabled(), eZDebug\setLogFileEnabled(), eZProduct\setProductType(), eZOrder\setShippingTypeID(), eZShippingGroup\setStartAddValue(), eZOrder\setStatus(), eZPBFile\setType(), eZArticleAttribute\setType(), eZAppointment\setType(), eZGroupEvent\setType(), eZLink\setType(), eZLinkAttribute\setType(), eZOrderStatus\setType(), eZProduct\setType(), eZProductAttribute\setType(), eZXMLRPCArray\setType(), eZXMLRPCStruct\setType(), eZMedia\setType(), eZMediaAttribute\setType(), eZProduct\setVATType(), eZShippingType\setVATType(), eZDebug\showMessage(), eZShippingGroup\startAddValue(), eZCompany\store(), eZSession\triggerCallback(), eZArticleAttribute\type(), eZAppointment\type(), eZGroupEvent\type(), eZLink\type(), eZLinkAttribute\type(), eZMedia\type(), eZMediaAttribute\type(), eZProduct\type(), eZProductAttribute\type(), eZDir\unlinkWildcard(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), eZProductSupplier\urlList(), eZCompany\viewCount(), and eZPBLog\write().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.